Wie installiere ich 2 Python Version parallel unter Windows?

Probleme bei der Installation?
Antworten
asdfgqw
User
Beiträge: 33
Registriert: Samstag 3. Februar 2007, 10:45

Samstag 3. Februar 2007, 10:53

Moin,

unter Unix kein Problem, aber wie realisiere ich zwei Python Versionen unter Win2000? Die PATH variable zeigt auf Python 2.4. Oder mal anders herum gefragt, bei mir läuft Zope 2.9 und der Apache 2.2 mit mod_python. Brauchen die unbedingt Python 2.4 oder würde auch 2.3 gehen? Optimal wären natürlich zwei Versionen parallel. Weiss jemand wie es geht?
Leonidas
Administrator
Beiträge: 16024
Registriert: Freitag 20. Juni 2003, 16:30
Kontaktdaten:

Samstag 3. Februar 2007, 12:10

Zope 2.9 benötigt Python 2.4:
Zope 2.9.6 Release Notes hat geschrieben:Zope 2.9 requires Python 2.4.3+ (Python 2.4.2 is still acceptable). Older Python versions are no longer supported. Also Python 2.5 is unsupported (and not working).
Aber ich denke, dass Zope unter WIndows sein eigenes python immer mitbringt.

Und mod_python funktioniert mit jeder Python-Version für die du es kompilierst.
My god, it's full of CARs! | Leonidasvoice vs Modvoice
Antworten